<template>
  <div class="background-color align-content-center">
    <div
      class="background-image"
      :style="{ backgroundImage: `url('${appLoaderImage}')` }"
    />
  </div>
</template>

<script>
  import appLoaderImage from '@/assets/app-loader.gif'

  export default {
    name: 'PiggyBankLoader',
    data () {
      return {
        appLoaderImage: appLoaderImage,
      }
    },
  }
</script>

<style>
.background-color {
  width: 100%;
  height: 100vh;
  background-color: #2D5299;
}
.align-content-center {
  display: flex;
  align-items: center;
  justify-content: center;
}
.background-image {
  width: 400px;
  height: 300px;
}
</style>
